<!--
    //*********設定*****************************
    var IE_MIN_VERSION = "5.5";             //対応IEの最低バージョン
    var MSVM_MIN_VERSION = "3805";          //対応Microsoft Java VMの最低バージョン
    var SUN_MIN_VERSION = "1.4.2";          //対応Sun Javaプラグインの最低バージョン
    var MSVM_OK_VERSION = "3810";           //推奨Microsoft Java VMの最低バージョン
    var SUN_OK_VERSION = "1.4.2_08";        //推奨Sun Javaプラグインの最低バージョン
    var SUN_NEW_VERSION = "1.5.0_02";       //推奨Sun Javaプラグインのバージョン
					    //2005.05.16 Y.URATA SunJava1.5.0_01を使用での不具合に対応
    //******************************************

    var VMver, VMven, VMCver, VMBnum;
    var PrmCase = "";
    var dispWin = false;                    //エラー発生有無
    var dispLoginBox = false;               //ログインボックス表示
    var strvendor, strversion;

    var OsVer = 0;

    function vercheck() {
        var gCVM = null;
        var uAgent, IEVer;
        var documentMsg = "";

        uAgent = window.navigator.userAgent;

        if (uAgent.indexOf("MSIE") != -1) {
            if (window.navigator.javaEnabled()) {
                IEVer = uAgent.substring(uAgent.indexOf("MSIE") + 5,uAgent.indexOf("MSIE") + 8);
                if (parseFloat(IEVer) < parseFloat(IE_MIN_VERSION)) {
                    PrmCase = "MSIEOld";
                    dispWin = true;
                }
                else{

                    gCVM = document.CHECKV;

                    //MS VMがインストールされていない環境の場合は、javaEnabled()がTrueになるため、
                    //ここでストップ
                    if ((gCVM == void(0)) || (gCVM == null)){
                        PrmCase = "NoVM";
                        dispWin = true;
                    }

                    else {

                        //セキュリティソフトでJavaが阻止されている場合に、関数の実行でランタイムエラーが発生するため、
                        //エラーをキャッチ
                        var s="try{ VMver = gCVM.getVMversion();VMven = gCVM.getVMvendor();VMCver = gCVM.getCLASSversion();VMBnum = gCVM.getMSVMBnum(); }catch(e){ PrmCase = 'CanNotExec'; dispWin = true; }";
                        if(IEVer>5.0){
                            var rtn = eval(s);
                        }
                        else{
                            VMver = gCVM.getVMversion();
                            VMven = gCVM.getVMvendor();
                            VMCver = gCVM.getCLASSversion();
                            VMBnum = gCVM.getMSVMBnum();
                        }

                        //VMver = gCVM.getVMversion();
                        //VMven = gCVM.getVMvendor();
                        //VMCver = gCVM.getCLASSversion();
                        //VMBnum = gCVM.getMSVMBnum();

                        if (!(dispWin)){

													//SunJava1.5ではobject型に代入されるため明示的に型変換 2005/03/16
													VMver = String(VMver);
													VMven = String(VMven);
													VMCver = String(VMCver);
													VMBnum = String(VMBnum);
	
                          switch(VMven) {
													case "Microsoft Corp.":
                            if (parseFloat(VMBnum) < parseFloat(MSVM_MIN_VERSION) ) {
                                osVerCheck();
                                PrmCase = "MSVMOld";
                                dispWin = true;
                            }
                            else if (parseFloat(VMBnum) < parseFloat(MSVM_OK_VERSION) ) {
                                osVerCheck();
                                PrmCase = "MSVMUnsafe";
                                dispWin = true;
                                dispLoginBox = true;
                            }
                          break;
													case "Sun Microsystems Inc.":
															var Mver1 = VMver.substring(0,5);
															Mver1 = Mver1.replace(/\./g, "");  
                              var Mver2 = VMver.substring(6,8);
                              var tmpSunVer1 = SUN_MIN_VERSION.replace(/\./g, "");
                              var tmpSunVer2 = SUN_OK_VERSION.substring(6,8);
						                  var tmpSunVer3 = SUN_NEW_VERSION.substring(0,5);
							                tmpSunVer3 = tmpSunVer3.replace(/\./g, "");
                              var tmpSunVer4 = SUN_NEW_VERSION.substring(6,8);

                              if (parseFloat(Mver1) < parseFloat(tmpSunVer1)) {
                                  PrmCase = "SunJavaOld";
                                  dispWin = true;
                              }
                              else if (parseFloat(Mver1) == parseFloat(tmpSunVer1) && !(parseFloat(Mver2) >= parseFloat(tmpSunVer2))) {
                                  PrmCase = "SunJavaUnsafe";
                                  dispWin = true;
                                  dispLoginBox = true;
                              }
															else if (parseFloat(Mver1) == parseFloat(tmpSunVer3) && !(parseFloat(Mver2) >= parseFloat(tmpSunVer4))) {
																	PrmCase = "SunJavaNG";
                                  dispWin = true;
															}
															break;
														default:
                              PrmCase = "ElseVendor";
                              dispWin = true;
															break;
                            }
                        }
                    }
                }
            }
            else {
                PrmCase = "NoPlugIn";
                dispWin = true;
            }
        }
        else {  //動作環境外のブラウザ
            PrmCase = "ExptBrowser";
//            dispWin = true;
        }

        //For Debug
        //dispWin = true;
        //PrmCase = "MSVMUnsafe";

        if (dispWin){
            documentMsg = documentMsg + "<html><head>";
            documentMsg = documentMsg + "<meta http-equiv='Expires' content='0'>";
            documentMsg = documentMsg + "<meta http-equiv='Cache-Control' content='no-cache'>";
            documentMsg = documentMsg + "<meta http-equiv='Content-Type' content='text/html; charset=x-sjis'>";
            documentMsg = documentMsg + "</head><body>";

            documentMsg = documentMsg + "<center><br>";
            if (!dispLoginBox){
                documentMsg = documentMsg + "<table width='600'>";
                documentMsg = documentMsg + "<table width='600' border='0' cellspacing='0' cellpadding='0'>";
                documentMsg = documentMsg + "<tr><td width='50' valign='top'><img src='image/attention.gif' width='34' height='32'></td>";
                documentMsg = documentMsg + "<td><font size='-1'>ご利用いただきありがとうございます。<br>動作環境の自動システムチェックの結果、お客様のご利用のコンピュータでは、";
            }else{
                documentMsg = documentMsg + "<table width='480' border='0' cellspacing='0' cellpadding='0'>";
                documentMsg = documentMsg + "<tr><td width='50' valign='top'><img src='image/attention.gif' width='34' height='32'></td>";
                documentMsg = documentMsg + "<td><font size='-1'>ご利用いただきありがとうございます。<br>動作環境の自動システムチェックの結果、お客様のご利用のコンピュータでは、";
            }

            //MSIEOld           :   動作環境外のIE
            //ExptBrowser       :   動作環境外のブラウザ
            //MSVMOld           :   MSVMが古い
            //SunJavaOld        :   SunJavaが古い
            //ElseVendor        :   MS、Sun、NN以外のベンダーのJava環境
            //NoPlugIn          :   ブラウザの設定でJavaが無効になっている
            //NoVM              :   MSVM未インストール
            //CanNotExec        : アプレットが実行できない
            //MSVMUnsafe        :   推奨しないバージョンのVM
            //SunJavaUnsafe 　　:   推奨しないバージョンのSunJava
            //SunJavaNG 　　　　:   動作対象外バージョンのSunJava

            switch(PrmCase) {
            case "MSIEOld":
                documentMsg = documentMsg + "動作対象外のブラウザを使用されているようです。<br>ブラウザ Internet Explorer Version " + IE_MIN_VERSION + " 以上を利用していただく必要がございます。<br><br>";
                documentMsg = documentMsg + "・<a href='http://www.microsoft.com/windows/ie_intl/ja/default.asp' target='_blank'>Microsoft Internet Explorerのダウンロード</a>";
                break;
            case "ExptBrowser":
                documentMsg = documentMsg + "動作対象外のブラウザを使用されているようです。<br>ブラウザ Internet Explorer Version " + IE_MIN_VERSION + " 以上を利用していただく必要がございます。<br><br>";
                documentMsg = documentMsg + "・<a href='http://www.microsoft.com/windows/ie_intl/ja/default.asp' target='_blank'>Microsoft Internet Explorerのダウンロード</a>";
                break;
            case "MSVMOld":
                documentMsg = documentMsg + "バージョン" + MSVM_OK_VERSION + "未満のMicrosoft Java Virtual Machineを使用されているようです。<br>Microsoft Java Virtual Machine Version 5.00." + MSVM_OK_VERSION + "以上が必要でございます。<br><br>";
                documentMsg = documentMsg + "(※Microsoft Java Virtual Machine 5.00.3805 〜 3809でも動作いたしますが，セキュリティ上の脆弱性があるためお勧めできません)<br><br>";
                if (OsVer == 1) {
                    documentMsg = documentMsg + "・<a href='http://support.xcalat.com/x2s/faq/howto/WindowsUpdate_98.html' target='_blank'>Microsoft Java Virtual Machineのバージョンアップ方法</a>";
                }
                else if (OsVer == 2) {
                    documentMsg = documentMsg + "・<a href='http://support.xcalat.com/x2s/faq/howto/WindowsUpdate_2000.html' target='_blank'>Microsoft Java Virtual Machineのバージョンアップ方法</a>";
                }
                else {
                    documentMsg = documentMsg + "・<a href='http://support.xcalat.com/x2s/faq/howto/WindowsUpdate_2000.html' target='_blank'>Microsoft Java Virtual Machineのバージョンアップ方法</a>";
                }
                break;
            case "SunJavaOld":
                documentMsg = documentMsg + "バージョン" + SUN_OK_VERSION + "未満のSun Java 2 Runtime Environmentを使用されているようです。<br>Sun Java 2 Runtime Environment, SE v" + SUN_OK_VERSION + "以上　もしくは " + SUN_NEW_VERSION + "以上が必要でございます。<br><br>";
                documentMsg = documentMsg + "(※Sun Java 2 Runtime Environment, SE v1.4.2_01 〜 1.4.2_07でも動作いたしますが，セキュリティ上の脆弱性があるためお勧めできません)<br><br>";
                documentMsg = documentMsg + "・<a href='http://support.xcalat.com/common/HowtoInstallSunJava.html' target='_blank'>Sun Java 2 Runtime Environmentのインストール方法</a>";
                break;
            case "ElseVendor":
                documentMsg = documentMsg + "Microsoft および Sun 以外のJava プラグインを使用されているようです。<br>・Sun Java 2 Runtime Environment, SE v" + SUN_OK_VERSION + "以上　もしくは " + SUN_NEW_VERSION + "以上<br>・Microsoft Java Virtual Machine Version 5.00." + MSVM_OK_VERSION + "以上<br>のいずれかが必要でございます。<br><br>";
                documentMsg = documentMsg + "(※Sun Java 2 Runtime Environment, SE v1.4.2_01 〜 1.4.2_07 および Microsoft Java Virtual Machine 5.00.3805 〜 3809でも動作いたしますが，セキュリティ上の脆弱性があるためお勧めできません)<br><br>";
                documentMsg = documentMsg + "・<a href='http://support.xcalat.com/common/HowtoInstallSunJava.html' target='_blank'>Sun Java 2 Runtime Environmentのインストール方法</a>";
                break;
            case "NoPlugIn":
                documentMsg = documentMsg + "Java 実行環境を有効にしていただく必要がございます。<br><br>";
                documentMsg = documentMsg + "・<a href='http://support.xcalat.com/x2s/faq/howto/browsersetup_jre.html#set' target='_blank'>Java実行環境の設定方法</a>";
                break;
            case "NoVM":
                documentMsg = documentMsg + "Java 実行環境が壊れているか、インストールされていないようです。<br>・Sun Java 2 Runtime Environment, SE v" + SUN_OK_VERSION + "以上　もしくは " + SUN_NEW_VERSION + "以上<br>・Microsoft Java Virtual Machine Version 5.00." + MSVM_OK_VERSION + "以上<br>のいずれかが必要でございます。<br><br>";
                documentMsg = documentMsg + "(※Sun Java 2 Runtime Environment, SE v1.4.2_01 〜 1.4.2_07 および Microsoft Java Virtual Machine 5.00.3805 〜 3809でも動作いたしますが，セキュリティ上の脆弱性があるためお勧めできません)<br><br>";
                documentMsg = documentMsg + "・<a href='http://support.xcalat.com/common/HowtoInstallSunJava.html' target='_blank'>Sun Java 2 Runtime Environmentのインストール方法</a>";
                break;
            case "CanNotExec":
                documentMsg = documentMsg + "Javaの実行が制限されているようです。<br>Javaの実行を制限するようなセキュリティソフトをお使いではないでしょうか？<br>またはLAN内のほかのマシンでも事象が起きていないでしょうか？<br><br>詳しい原因がわからない場合は、ヘルプデスクまでご相談ください。<br><br>";
                break;
            case "MSVMUnsafe":
                documentMsg = documentMsg + "<font size='-1'>バージョン5.00." + MSVM_MIN_VERSION + "以上、5.00." + MSVM_OK_VERSION + "未満のMicrosoft Java Virtual Machineを<br>使用されているようです。<br><br>";
                documentMsg = documentMsg + "※上記バージョンで動作自体には問題ありませんが、セキュリティ上の脆弱性が報告されていますので、バージョンアップをお勧めします。</font><br><br>";
                if (OsVer == 1) {
                    documentMsg = documentMsg + "・<a href='http://support.xcalat.com/x2s/faq/howto/WindowsUpdate_98.html' target='_blank'>Microsoft Java Virtual Machineのバージョンアップ方法</a>";
                }
                else if (OsVer == 2) {
                    documentMsg = documentMsg + "・<a href='http://support.xcalat.com/x2s/faq/howto/WindowsUpdate_2000.html' target='_blank'>Microsoft Java Virtual Machineのバージョンアップ方法</a>";
                }
                else {
                    documentMsg = documentMsg + "・<a href='http://support.xcalat.com/x2s/faq/howto/WindowsUpdate_2000.html' target='_blank'>Microsoft Java Virtual Machineのバージョンアップ方法</a>";
                }
                break;
            case "SunJavaUnsafe":
                documentMsg = documentMsg + "<br><font size='-1'>バージョン" + SUN_MIN_VERSION + "以上、" + SUN_OK_VERSION + "未満のSun Java 2 Runtime Environmentを<br>使用されているようです。<br><br>";
                documentMsg = documentMsg + "※上記バージョンで動作自体には問題ありませんが、セキュリティ上の脆弱性が報告されていますので、バージョンアップをお勧めします。</font><br><br>";
                documentMsg = documentMsg + "・<a href='http://support.xcalat.com/common/HowtoInstallSunJava.html' target='_blank'>Sun Java 2 Runtime Environmentのインストール方法</a>";
                break;
            case "SunJavaNG":
                documentMsg = documentMsg + "バージョン1.5.0_01のSun Java 2 Runtime Environmentを使用されているようです。<br>Sun Java 2 Runtime Environment, SE v" + SUN_OK_VERSION + "以上　もしくは " + SUN_NEW_VERSION + "以上が必要でございます。<br><br>";
                documentMsg = documentMsg + "(※Sun Java 2 Runtime Environment, SE v1.4.2_01 〜 1.4.2_07 でも動作いたしますが，セキュリティ上の脆弱性があるためお勧めできません)<br><br>";
                documentMsg = documentMsg + "・<a href='http://support.xcalat.com/common/HowtoInstallSunJava.html' target='_blank'>Sun Java 2 Runtime Environmentのインストール方法</a>";
                break;

            }

            //documentMsg = documentMsg + "<br>・<a href='http://support.xcalat.com/x2s/faq/howto/x2sclient.html' target=_blank>クライアントの動作環境</a></font></td></tr></table>";
						documentMsg = documentMsg + "<br><br>サイトの動作環境についてはヘルプメニューをご覧ください</a></font></td></tr></table>";
            if (!dispLoginBox){
                //documentMsg = documentMsg + "<br><br><a href='javascript:history.back()'><img src='image/back.gif' height='20' width='65' border='0' alt='戻る'></a></center>";
                documentMsg = documentMsg + "<br><br><a href='javascript:window.close()'><img src='image/back.gif' height='20' width='65' border='0' alt='戻る'></a></center>";
            }
            documentMsg = documentMsg + "</body></html>";

            if(dispLoginBox){
                //document.writeln(documentMsg);
                //parent.window.document.getElementById('javaerrframe').style.visibility="visible";
                //parent.window.document.getElementById('javaerrframe').height="220";
                //document.close();
                //新しいウィンドウを起動して警告を表示（ポップアップブロックされる可能性あり）
                newwin_java = window.open();
                newwin_java.document.writeln(documentMsg);
                
            }else{

                parent.window.document.writeln(documentMsg);
                parent.window.document.close();
            }
        }else{
            //動作環境に問題がない場合：何もしない
        }
    }

    function osVerCheck() {
        var uAgent;

        uAgent = window.navigator.userAgent;

        with (uAgent) {
            if (match(/NT 5\.2/)) {
                OsVer = 2;                      //Windows Server 2003
            }
            else if (match(/NT 5\.1|XP/)) {
                OsVer = 2;                      //Windows XP
            }
            else if (match(/4\.90|ME/)) {
                OsVer = 1;                      //Windows ME
            }
            else if (match(/NT 5\.0|2000/)) {
                OsVer = 2;                      //Windows 2000
            }
            else if (match(/Win(dows )?98/)) {
                OsVer = 1;                      //Windows 98
            }
            else if (match(/NT 4\.0|Win(dows )?NT/)) {
                OsVer = 1;                      //Windows NT
            }
            else {
                OsVer = 0;                      //上記以外OSの処理
            }
        }
    }

// -->
